Bug 427201 - variable ARCH is defined after its first use in F8 kdump init script
variable ARCH is defined after its first use in F8 kdump init script
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
8
ppc64 All
low Severity high
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
ARRAY(0x8bcb30)
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 04:00 EST by IBM Bug Proxy
Modified: 2008-11-26 12:37 EST (History)
1 user (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to kdump (415 bytes, patch)
2008-01-02 04:00 EST, IBM Bug Proxy
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 41345 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-01-02 04:00:20 EST
=Comment: #0=================================================
Mohammed Omar <mohd.omar@in.ibm.com> - 2008-01-01 07:21 EDT
----Problem description:------
When I was trying to start kdump service in Fedora 8 on ppc64, it always showed
[failed]. I found  MEM_RESERVED variable was empty and not initialized properly
in kdump init script(/etc/init.d/kdump) due to ARCH variable was not defined
before its first use. kdump script is part of kexec-tools

Package Name: kexec-tools-1.102pre-2.fc8.ppc64.rpm
Distro : Fedora 8


----uname -a -------
Linux p520b.in.ibm.com 2.6.23.1-42.fc8 #1 SMP Tue Oct 30 13:05:49 EDT 2007 ppc64
ppc64 ppc64 GNU/Linux


----Hardware Environment-------
    Machine type (p650, x235, SF2, etc.): p520
    Cpu type (Power4, Power5, IA-64, etc.): Power5
=Comment: #1=================================================
Mohammed Omar <mohd.omar@in.ibm.com> - 2008-01-01 07:30 EDT


ARCH Variable is defined at line: 171. Need to move at line 158. Due to that it
was going FALSE at IF condition...

 if [ "$ARCH" == "ppc64" ]
    then
    MEM_RESERVED=`grep "crashkernel=[0-9]\+[MmKkGg]@[0-9]\+[MmGgKk]" /proc/cmdline`


and MEM_RESERVED going empty.Here

 if [ -z "$MEM_RESERVED" ]
    then
     $LOGGER "No crashkernel parameter specified for running kernel"
     return 1
   fi

throwing error message to /var/log/message saying crashkernel parameter is not
specified.

--Regards
Omar

=Comment: #2=================================================
Mohammed Omar <mohd.omar@in.ibm.com> - 2008-01-01 07:41 EDT

patch to kdump

Attaching patch to kdump script
=Comment: #3=================================================
Mohammed Omar <mohd.omar@in.ibm.com> - 2008-01-01 07:47 EDT

patch works fine. 

--Regards
Omar
Comment 1 IBM Bug Proxy 2008-01-02 04:00:23 EST
Created attachment 290636 [details]
patch to kdump
Comment 2 Neil Horman 2008-01-03 15:40:21 EST
Fixed, thanks!
Comment 3 IBM Bug Proxy 2008-02-14 08:08:51 EST
------- Comment From mohd.omar@in.ibm.com 2008-02-14 08:06 EDT-------
It got fixed in F9Alpha kexec-tools Package (kexec-tools-1.102pre-3.fc9).So
closing this BUG now.
Comment 4 Bug Zapper 2008-11-26 04:15:05 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jon Stanley 2008-11-26 12:37:07 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.